<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Bar extends CI_Controller {

	  function __construct() {
        parent::__construct();
        $this->load->helper('url_helper');
        $this->load->model("bar_model","bar");
        $this->load->library("pagination");
        $this->load->helper('form');
        $this->load->library('form_validation');

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */

	  if($this->session->userdata('role_id') == 2) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('welcome/index');
        }
        
        if($this->session->userdata('role_id') == 4) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('welcome/index');
        }
        
        if($this->session->userdata('role_id') == 3) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('welcome/index');
        }
		
        if(empty($this->session->userdata('id'))) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('');
        }

     }


	public function index()
	{

		$data['tbl_stock'] = $this->bar->get_stockremaining();
		$sold = $this->bar->get_stocksold();
		$dispatched = $this->bar->get_stockdispatchedtotal();
		$received = $this->bar->get_stockreceivedtotal();

		//---Valuation----//
		
		$data['tbl_stockinvalue'] = $this->bar->get_stockinvalue();
		$data['tbl_stocksoldvalue'] = $this->bar->get_stocksoldvalue();
		//---End Valuation-----//

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header');
		$this->load->view('admin/index',$data);
		$this->load->view('admin/footer');
	}

	public function shopa()
	{
        $data['stockin'] = $this->bar->get_stockremaining1total();
	    $data['sold'] = $this->bar->get_stocksold1total();
	    $data['dispatched'] = $this->bar->get_stockdispatched1total();
	    $data['received'] = $this->bar->get_stockreceived1total();

		$data['tbl_stock'] = $this->bar->get_stockremaining1();
		$sold = $this->bar->get_stocksold1();
		$dispatched = $this->bar->get_stockdispatched1();
		$received = $this->bar->get_stockreceived1();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header');
		$this->load->view('admin/stockbyshopa',$data);
		$this->load->view('admin/footer');
	}

	public function shopb()
	{

		$data['tbl_stock'] = $this->bar->get_stockremaining2();
		$sold = $this->bar->get_stocksold2();
		$dispatched = $this->bar->get_stockdispatched2();
		$received = $this->bar->get_stockreceived2();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header');
		$this->load->view('admin/stockbyshopb',$data);
		$this->load->view('admin/footer');
	}
	
	public function shopc()
	{
	    $data['stockin'] = $this->bar->get_stockremaining1totalc();
	    $data['sold'] = $this->bar->get_stocksold1totalc();
	    $data['dispatched'] = $this->bar->get_stockdispatched1totalc();
	    $data['received'] = $this->bar->get_stockreceived1totalc();

		$data['tbl_stock'] = $this->bar->get_stockremaining4();
		$sold = $this->bar->get_stocksold4();
		$dispatched = $this->bar->get_stockdispatched4();
		$received = $this->bar->get_stockreceived4();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header');
		$this->load->view('admin/stockbyshopc',$data);
		$this->load->view('admin/footer');
	}
	
	public function shopd()
	{
	    $data['stockin'] = $this->bar->get_stockremaining1totald();
	    $data['sold'] = $this->bar->get_stocksold1totald();
	    $data['dispatched'] = $this->bar->get_stockdispatched1totald();
	    $data['received'] = $this->bar->get_stockreceived1totald();

		$data['tbl_stock'] = $this->bar->get_stockremaining5();
		$sold = $this->bar->get_stocksold5();
		$dispatched = $this->bar->get_stockdispatched5();
		$received = $this->bar->get_stockreceived5();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header');
		$this->load->view('admin/stockbyshopd',$data);
		$this->load->view('admin/footer');
	}
	
	public function shopdwholesale()
	{
	    $data['stockin'] = $this->bar->get_stockremaining1totaldwholesale();
	    $data['sold'] = $this->bar->get_stocksold1totaldwholesale();
	    $data['dispatched'] = $this->bar->get_stockdispatched1totaldwholesale();
	    $data['received'] = $this->bar->get_stockreceived1totaldwholesale();

		$data['tbl_stock'] = $this->bar->get_stockremaining5wholesale();
		$sold = $this->bar->get_stocksold5wholesale();
		$dispatched = $this->bar->get_stockdispatched5wholesale();
		$received = $this->bar->get_stockreceived5wholesale();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header');
		$this->load->view('admin/stockbyshopdwholesale',$data);
		$this->load->view('admin/footer');
	}
	
		public function store()
	{

		$data['stockin'] = $this->bar->get_stockremaining3total();
	    $data['sold'] = $this->bar->get_stocksold3total();
	    $data['dispatched'] = $this->bar->get_stockdispatched3total();
	    $data['received'] = $this->bar->get_stockreceived3total();

		$data['tbl_stock'] = $this->bar->get_stockremaining3();
		$sold = $this->bar->get_stocksold3();
		$dispatched = $this->bar->get_stockdispatched3();
		$received = $this->bar->get_stockreceived3();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header');
		$this->load->view('admin/stockbystore',$data);
		$this->load->view('admin/footer');
	}
	
	
	public function store1()
	{
	    $data['stockin'] = $this->bar->get_stockremaining1totalstore1();
	    $data['sold'] = $this->bar->get_stocksold1totalstore1();
	    $data['dispatched'] = $this->bar->get_stockdispatched1totalstore1();
	    $data['received'] = $this->bar->get_stockreceived1totalstore1();

		$data['tbl_stock'] = $this->bar->get_stockremaining7();
		$sold = $this->bar->get_stocksold7();
		$dispatched = $this->bar->get_stockdispatched7();
		$received = $this->bar->get_stockreceived7();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header');
		$this->load->view('admin/stockbystore1',$data);
		$this->load->view('admin/footer');
	}
	
	

	public function newstock()
	{

		$data['stock'] = $this->bar->get_products();
		$data['shops'] = $this->bar->get_shops();
		$this->load->view('admin/header1');
		$this->load->view('admin/newstock',$data);
		$this->load->view('admin/footer');
	}
	
	public function adjuststock()
	{

		$data['stock'] = $this->bar->get_products();
		$data['shops'] = $this->bar->get_shops();
		$this->load->view('admin/header1');
		$this->load->view('admin/adjuststock',$data);
		$this->load->view('admin/footer');
	}

	public function blank()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/blank');
		$this->load->view('admin/footer');
	}

	public function boxed()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/boxed');
		$this->load->view('admin/footer');
	}

	public function chartjs()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/chartjs');
		$this->load->view('admin/footer');
	}

	public function compose()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/compose');
		$this->load->view('admin/footer');
	}

	public function data()
	{

		$data['tbl_products'] = $this->bar->get_products2();
		$data['tbl_category'] = $this->bar->get_categories1();
		$this->load->view('admin/header');
		$this->load->view('admin/data',$data);
		$this->load->view('admin/footer');
	}

	public function salesreport()
	{
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   
		   $data['tbl_totalprofit']= $this->bar->profitsubtotal($date1,$date2);
		   $data['tbl_expenses']= $this->bar->subtotalexpenses($date1,$date2);
		   $data['tbl_totaldebtpayments']= $this->bar->totaldebtpayments($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysale($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreport($date1,$date2);
		   $data['tbl_profit']= $this->bar->subtotal($date1,$date2);
		   }
        
		$this->load->view('admin/header');
		$this->load->view('admin/salesreport',$data);
		$this->load->view('admin/footer');
	 }
	 
	 public function salesreporta()
	{

		   $data['category']= "";
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
            
            $category = $_POST['category'];
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;

		   if($category == 1){
			   $data['tbl_totalprofit']= $this->bar->profitsubtotala($date1,$date2);
			   $data['cashsplit']= $this->bar->cashsplit($date1,$date2);
			   $data['tbl_totalprofitcash']= $this->bar->profitsubtotalacash($date1,$date2);
			   $data['mpesasplit']= $this->bar->mpesasplit($date1,$date2);
			   $data['tbl_totalprofitmpesa']= $this->bar->profitsubtotalampesa($date1,$date2);
			   $data['cardsplit']= $this->bar->cardsplit($date1,$date2);
			   $data['tbl_totalprofitcard']= $this->bar->profitsubtotalacard($date1,$date2);
			   $data['tbl_totalprofitcredit']= $this->bar->profitsubtotalacredit($date1,$date2);
			   $data['tbl_expenses']= $this->bar->subtotalexpensesa($date1,$date2);
			   $data['tbl_totaldebtpayments']= $this->bar->totaldebtpaymentsa($date1,$date2);
			   $data['tbl_totaltopups']= $this->bar->totaltopupsa($date1,$date2);
			   $data['tbl_breakdown']= $this->bar->get_dailysalea($date1,$date2);
			   $data['tbl_sales'] = $this->bar->get_salesreporta($date1,$date2);
			   $data['tbl_salescredit'] = $this->bar->get_salesreportacredit($date1,$date2);
			   $data['tbl_profit']= $this->bar->subtotala($date1,$date2);
			   $data['value4'] = $this->bar->get_allsplit();

			}else{
               $data['tbl_totalprofit']= $this->bar->profitsubtotalacat($category,$date1,$date2);
			   $data['tbl_totalprofitcash']= $this->bar->profitsubtotalacashcat($category,$date1,$date2);
			   $data['tbl_totalprofitmpesa']= $this->bar->profitsubtotalampesacat($category,$date1,$date2);
			   $data['tbl_totalprofitcard']= $this->bar->profitsubtotalacardcat($category,$date1,$date2);
			   $data['tbl_totalprofitcredit']= $this->bar->profitsubtotalacreditcat($category,$date1,$date2);
			   $data['tbl_expenses']= $this->bar->subtotalexpensesacat($category,$date1,$date2);
			   $data['tbl_totaldebtpayments']= $this->bar->totaldebtpaymentsacat($category,$date1,$date2);
			   $data['tbl_totaltopups']= $this->bar->totaltopupsacat($category,$date1,$date2);
			   $data['tbl_breakdown']= $this->bar->get_dailysaleacat($category,$date1,$date2);
			   $data['tbl_sales'] = $this->bar->get_salesreportacat($category,$date1,$date2);
			   $data['tbl_salescredit'] = $this->bar->get_salesreportacreditcat($category,$date1,$date2);
			   $data['tbl_profit']= $this->bar->subtotalacat($category,$date1,$date2);
			   $data['value4'] = $this->bar->get_allsplit();
			}
		   }
        
		$this->load->view('admin/header2');
		$this->load->view('admin/salesreporta',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportaquant()
	{
	    
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['shop']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		    $shop = $_POST['shop'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   $data['shop'] = $shop;
		   
		   $data['tbl_totalprofit']= $this->bar->profitsubtotalaquant($date1,$date2,$shop);
		   $data['tbl_sales'] = $this->bar->get_salesreportaquant($date1,$date2,$shop);
		   $data['tbl_breakdown']= $this->bar->get_dailysalea($date1,$date2);
		   }
        
		$this->load->view('admin/header');
		$this->load->view('admin/salesreportaquant',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportampesa($date1,$date2)
	{
		   
		   
		   $data['tbl_break']= $this->bar->subtotalampesa($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysaleampesa($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportampesa($date1,$date2);
		   
        
		//$this->load->view('admin/header');
		$this->load->view('admin/salesreportampesa',$data);
		//$this->load->view('admin/footer');
	 }

	public function pettycash()
	{

		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
            
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;

		   $data['pettycash']= $this->bar->get_pettycash($date1,$date2);
		   $data['pettycashtotal']= $this->bar->get_pettycashtotal($date1,$date2);
        }
        
		$this->load->view('admin/header');
		$this->load->view('admin/pettycash',$data);
		$this->load->view('admin/footer');
	 }

	 public function addfloat()
            {
		   $data['float']= "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$float = $_POST['float'];
	
				//add float
					$this->bar->addfloat($new_hashed);
					$this->session->set_flashdata('message','Petty Cash Added Successfully..');
					redirect('bar/pettycash');					
			}
        
		} 
	 
	 public function salesreportbmpesa($date1,$date2)
	{
		   
		   
		   $data['tbl_break']= $this->bar->subtotalbmpesa($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysalebmpesa($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportbmpesa($date1,$date2);
		   
        
		//$this->load->view('admin/header');
		$this->load->view('admin/salesreportbmpesa',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportacash($date1,$date2)
	{
		   
		   
		   $data['tbl_break']= $this->bar->subtotalacash($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysaleacash($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportacash($date1,$date2);
		   
        
		//$this->load->view('admin/header');
		$this->load->view('admin/salesreportacash',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportbcash($date1,$date2)
	{
		   
		   
		   $data['tbl_break']= $this->bar->subtotalbcash($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysalebcash($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportbcash($date1,$date2);
		   
        
		//$this->load->view('admin/header');
		$this->load->view('admin/salesreportbcash',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportmpesa($date1,$date2)
	{
		   
		   
		   $data['tbl_break']= $this->bar->subtotalmpesa($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysalempesa($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportmpesa($date1,$date2);
		   
        
		//$this->load->view('admin/header');
		$this->load->view('admin/salesreportmpesa',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportcash($date1,$date2)
	{
		   
		   
		   $data['tbl_break']= $this->bar->subtotalcash($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysalecash($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportcash($date1,$date2);
		   
        
		//$this->load->view('admin/header');
		$this->load->view('admin/salesreportcash',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportb()
	{
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   
		   $data['tbl_totalprofit']= $this->bar->profitsubtotalb($date1,$date2);
		   $data['tbl_expenses']= $this->bar->subtotalexpensesb($date1,$date2);
		   $data['tbl_totaldebtpayments']= $this->bar->totaldebtpaymentsb($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysaleb($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportb($date1,$date2);
		   $data['tbl_profit']= $this->bar->subtotalb($date1,$date2);
		   }
        
		$this->load->view('admin/header2');
		$this->load->view('admin/salesreportb',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportc()
	{
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   
		   $data['tbl_totalprofit']= $this->bar->profitsubtotalc($date1,$date2);
		   $data['tbl_totalprofitcredit']= $this->bar->profitsubtotalccredit($date1,$date2);
		   $data['tbl_expenses']= $this->bar->subtotalexpensesc($date1,$date2);
		   $data['tbl_totaldebtpayments']= $this->bar->totaldebtpaymentsc($date1,$date2);
		   $data['tbl_totaltopups']= $this->bar->totaltopupsc($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysalec($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportc($date1,$date2);
		   $data['tbl_salescredit'] = $this->bar->get_salesreportccredit($date1,$date2);
		   $data['tbl_profit']= $this->bar->subtotalc($date1,$date2);
		   }
        
		$this->load->view('admin/header2');
		$this->load->view('admin/salesreportc',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportd()
	{
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   
		   $data['tbl_totalprofit']= $this->bar->profitsubtotald($date1,$date2);
		   $data['tbl_totalprofitcredit']= $this->bar->profitsubtotaldcredit($date1,$date2);
		   $data['tbl_expenses']= $this->bar->subtotalexpensesd($date1,$date2);
		   $data['tbl_totaldebtpayments']= $this->bar->totaldebtpaymentsd($date1,$date2);
		   $data['tbl_totaltopups']= $this->bar->totaltopupsd($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysaled($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportd($date1,$date2);
		   $data['tbl_salescredit'] = $this->bar->get_salesreportdcredit($date1,$date2);
		   $data['tbl_profit']= $this->bar->subtotald($date1,$date2);
		   }
        
		$this->load->view('admin/header2');
		$this->load->view('admin/salesreportd',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function salesreportdwholesale()
	{
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   
		   $data['tbl_totalprofit']= $this->bar->profitsubtotaldwholesale($date1,$date2);
		   $data['tbl_totalprofitcredit']= $this->bar->profitsubtotaldcreditwholesale($date1,$date2);
		   $data['tbl_expenses']= $this->bar->subtotalexpensesdwholesale($date1,$date2);
		   $data['tbl_totaldebtpayments']= $this->bar->totaldebtpaymentsdwholesale($date1,$date2);
		   $data['tbl_totaltopups']= $this->bar->totaltopupsdwholesale($date1,$date2);
		   $data['tbl_breakdown']= $this->bar->get_dailysaledwholesale($date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_salesreportdwholesale($date1,$date2);
		   $data['tbl_salescredit'] = $this->bar->get_salesreportdcreditwholesale($date1,$date2);
		   $data['tbl_profit']= $this->bar->subtotaldwholesale($date1,$date2);
		   }
        
		$this->load->view('admin/header2');
		$this->load->view('admin/salesreportdwholesale',$data);
		//$this->load->view('admin/footer');
	 }
	 
	 public function delete_salesentered($id)
           {
                 $this->bar->delete_salesentered1($id);
                 $this->session->set_flashdata('message', 'Sale Deleted successfuly..');
                 redirect('bar/salesreporta');
           }
           
    public function delete_creditorder($sale_id)
           {
                 $this->bar->delete_creditorder1($sale_id);
                 $this->bar->delete_creditorder2($sale_id);
                 $this->session->set_flashdata('message', 'Record deleted successfuly..');
                 redirect('bar/salesrecords');
           }
           
    public function delete_mypayment($id)
           {
                 $this->bar->delete_mypayment($id);
                 $this->session->set_flashdata('message', 'Record deleted successfuly..');
                 redirect('bar/salesrecords');
           }       

	public function salesreport1()
	{
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales1'][0]['price'] = "";
		   $data['tbl_break1'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   
		   $data['tbl_break1']= $this->bar->subtotal1($date1,$date2);
		   $data['tbl_breakdown1']= $this->bar->get_dailysale1($date1,$date2);
		   $data['tbl_sales1'] = $this->bar->get_salesreport1($date1,$date2);
		   }
        
		$this->load->view('admin/header');
		$this->load->view('admin/salesreport1',$data);
		$this->load->view('admin/footer');
	 } 

	public function salesrecords()
	{

		$data['tbl_sales'] = $this->bar->get_salesrecords1();
		$data['balances'] = $this->bar->get_balances();
		$this->load->view('admin/header');
		$this->load->view('admin/salesrecords',$data);
		$this->load->view('admin/footer');
	}
	
	public function salesrecordsa()
	{

		$data['tbl_sales'] = $this->bar->get_salesrecords1a();
		$data['balances'] = $this->bar->get_balancesa();
		$this->load->view('admin/header');
		$this->load->view('admin/salesrecordsa',$data);
		$this->load->view('admin/footer');
	}
	
	public function salesrecordsc()
	{

		$data['tbl_sales'] = $this->bar->get_salesrecords1c();
		$data['balances'] = $this->bar->get_balancesc();
		$this->load->view('admin/header');
		$this->load->view('admin/salesrecordsc',$data);
		$this->load->view('admin/footer');
	}
	
	public function salesrecordsd()
	{

		$data['tbl_sales'] = $this->bar->get_salesrecords1d();
		$data['balances'] = $this->bar->get_balancesd();
		$this->load->view('admin/header');
		$this->load->view('admin/salesrecordsd',$data);
		$this->load->view('admin/footer');
	}

	public function invoicerecords()
	{

		$data['tbl_invoice'] = $this->bar->get_invoicerecords();
		$this->load->view('admin/header');
		$this->load->view('admin/invoicerecords',$data);
		$this->load->view('admin/footer');
	}

	public function issuereceipt($sale_id)
		   {
			   $this->bar->get_issuereceipt1($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   $data['tbl_sales'] = $this->bar->get_issuereceipt1($sale_id);
			   $data['tbl_receipttotal'] = $this->bar->get_receipttotal($sale_id);
			   $data['tbl_company'] = $this->bar->get_companyinfo();
			    $this->load->view('admin/header');
		        $this->load->view('admin/issuereceipt',$data);
		        $this->load->view('admin/footer');	
		   }
		   
	public function return($sale_id)
		   {
			   $this->bar->get_return($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   
			   $data['tbl_stock'] = $this->bar->get_stockremaining_myshopadmin();
			   $data['tbl_salesreturn'] = $this->bar->get_return($sale_id);
			   $data['tbl_company'] = $this->bar->get_companyinfo();
			    //$this->load->view('admin/header2');
		        $this->load->view('admin/return',$data);
		        //$this->load->view('admin/footer');	
		   }
		   
	public function editreturn()
     {
        
        $id = $this->input->post('id');
        
        $sale_id = $this->bar->getsaleid($id);
        $saleid = $sale_id['sale_id'];
        
        
          $this->bar->editreturn($id);
          $this->session->set_flashdata('message', 'Quantity edited successfully..');
          redirect(base_url()."index.php/bar/return/".$saleid);
     	}
     	
    	public function editreturncredit()
     {
        
        $id = $this->input->post('id');
        
        $sale_id = $this->bar->getsaleidcredit($id);
        $saleid = $sale_id['sale_id'];
        
        
          $this->bar->editreturncredit($id);
          $this->session->set_flashdata('message', 'Quantity edited successfully..');
          redirect(base_url()."index.php/bar/returncredit/".$saleid);
     	} 	
     	
		   
	public function returnsale()
     {
        
        $id = $this->input->post('id');
        $saleid = $this->input->post('saleid');
        $topup = $this->input->post('topup');
        $date = $this->input->post('date');
     	$product_id = $this->input->post('product_id');
     	$quantity = $this->input->post('quantity');
     	$bprice = $this->input->post('product_bprice');
     	$price = $this->input->post('price');
     	$shop = $this->input->post('shopid');
     	$seller = $this->input->post('seller');
     	$stockout = $this->input->post('stockout');
     	$paymentmode = $this->input->post('paymentmode');
     	$paymentstatus = $this->input->post('paymentstatus');
     	$area = $this->input->post('area');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'quantity' => $quantity[$i], 'b_price' => $bprice[$i], 's_price' => $price[$i], 'date'=>$date, 'sale_id'=>$saleid, 'shop_id'=>$shop, 'seller'=>$seller, 'stock_out'=>$stockout, 'payment_mode'=>$paymentmode, 'payment_status'=>$paymentstatus, 'area_id'=>$area);
           
          }

          $this->bar->addreturn($dataSet);
          
          $this->bar->posttopup();
          $this->session->set_flashdata('message', 'Exchange Completed successfully..');
          redirect(base_url()."index.php/bar/return/".$saleid);
     	}	   
		   
		   
	public function issuereceiptdepo()
    {
        $stu_id = $_POST['stu_id'];
        
        $data['tbl_sales'] = $this->bar->get_issuereceipt1depo($stu_id);
		$data['tbl_receipttotal'] = $this->bar->get_receipttotaldepo($stu_id);
		$data['tbl_company'] = $this->bar->get_companyinfo();
        //$data['ww_sales']  = $this->wewash->get_marks($stu_id);
        //$this->load->view('supervisor/header');
        $this->load->view("admin/modal", $data);
    }   	   
		   
	public function view_payments($sale_id)
		   {
			   $this->bar->get_creditpayments1($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   $data['tbl_debtpayments'] = $this->bar->get_creditpayments1($sale_id);
			   $data['tbl_creditpayments'] = $this->bar->get_creditpayments($sale_id);
			   $data['tbl_credittotal'] = $this->bar->get_credittotal($sale_id);
			    $this->load->view('admin/header');
		        $this->load->view('admin/viewpayments',$data);
		        $this->load->view('admin/footer');	
		   }
		   
    
    	public function view_paymentsdepo()
		   {
			   $stu_id = $_POST['stu_id'];
			   
			   $data['tbl_debtpayments'] = $this->bar->get_creditpayments1depo($stu_id);
			   $data['tbl_creditpayments'] = $this->bar->get_creditpaymentsdepo($stu_id);
			   $data['tbl_credittotal'] = $this->bar->get_credittotaldepo($stu_id);
			    
		        $this->load->view('admin/modal1',$data);
		        	
		   }
		   
	public function view_commission($id)
		   {
		   
		       $data = array( 'id' => $id
			   ); 
			   $data['tbl_sales'] = $this->bar->get_attsale($id);
			   $data['tbl_break'] = $this->bar->get_atttotal($id);
			    $this->load->view('admin/header');
		        $this->load->view('admin/viewcommission',$data);
		        $this->load->view('admin/footer');	
		   }
		   
	public function generate_commission()
	{
	    $id = $_POST['seller'];
	    
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   
		   $data['tbl_break']= $this->bar->get_atttotal1($id,$date1,$date2);
		   //$data['tbl_breakdown']= $this->bar->get_dailysalea($id,$date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_attsale1($id,$date1,$date2);
		   }
        
		$this->load->view('admin/header');
		$this->load->view('admin/viewcommission',$data);
		$this->load->view('admin/footer');
	 }	   

    public function issueinvoice($invoice_id)
		   {
			   $this->bar->get_issueinvoice($invoice_id);
		   
		       $data = array( 'invoice_id' => $invoice_id
			   ); 
			   $data['tbl_invoice'] = $this->bar->get_issueinvoice($invoice_id);
			    $this->load->view('admin/header');
		        $this->load->view('admin/issueinvoice',$data);
		        $this->load->view('admin/footer');	
		   }		   

    public function printreceipt($sale_id)
		   {
			   $this->bar->get_printreceipt($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   $data['tbl_sales'] = $this->bar->get_printreceipt($sale_id);
			   $data['tbl_receipttotal'] = $this->bar->get_receipttotal($sale_id);
			    $this->load->view('admin/header');
		        $this->load->view('admin/invoice-print',$data);	
		   }

    public function printinvoice($invoice_id)
		   {
			   $this->bar->get_printinvoice($invoice_id);
		   
		       $data = array( 'invoice_id' => $invoice_id
			   ); 
			   $data['tbl_invoice'] = $this->bar->get_printinvoice($invoice_id);
			    $this->load->view('admin/header');
		        $this->load->view('admin/printinvoice',$data);	
		   }
		   
	public function commission()
	{

		$data['tbl_products'] = $this->bar->get_sellers();
		$this->load->view('admin/header');
		$this->load->view('admin/commissions',$data);
		$this->load->view('admin/footer');
	}
	
	public function staff()
	{

		$data['tbl_staff'] = $this->bar->get_users();
		$this->load->view('admin/header');
		$this->load->view('admin/staff',$data);
		$this->load->view('admin/footer');
	}

	public function stockinlist()
	{

		$data['tbl_products'] = $this->bar->get_stockin();
		$this->load->view('admin/header');
		$this->load->view('admin/stockinlist',$data);
		$this->load->view('admin/footer');
	}
	
	public function updatequantity()
           {
              $id = $_POST['id'];

                 $this->bar->updatequantity($id);
                 $this->session->set_flashdata('message', 'Quantity Edited Successfully..');
                 redirect('Bar/stockinlist');
           }
           
    public function updatequantitysale()
           {
              $id = $_POST['id'];

                 $this->bar->updatequantitysale($id);
                 $this->session->set_flashdata('message', 'Record Edited Successfully..');
                 redirect('Bar/salesreporta');
           }
           
    public function updatemode()
           {
              $id = $_POST['saleid'];

                 $this->bar->updatemode($id);
                 $this->session->set_flashdata('message', 'Record Edited Successfully..');
                 redirect('Bar/salesreporta');
           }       

	public function newproduct()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/newproduct');
		$this->load->view('admin/footer');
	}

	public function category()
        {
            $data['tbl_appartments'] = $this->bar->get_appartments1();
            $data['tbl_appartments'] = $this->bar->get_allappartments();
                $this->load->view('admin/header');
                $this->load->view('admin/category',$data);
                $this->load->view('admin/footer');
                
        }

    public function subcategory()
        {
            $data['tbl_categories'] = $this->bar->get_appartments1();
                $this->load->view('admin/header');
                $this->load->view('admin/subcategory',$data);
                $this->load->view('admin/footer');
                
        }    

    public function product()
        {
        	$data['tbl_subcategory'] = $this->bar->get_subcategories();
            $data['tbl_categories'] = $this->bar->get_appartments1();
            $data['tbl_category'] = $this->bar->get_categories1();
            $data['tbl_shops'] = $this->bar->get_myshops();
                $this->load->view('admin/header1');
                $this->load->view('admin/product',$data);
                $this->load->view('admin/footer');
                
        }
        
        
    function get_sub_category(){
		$category_id = $this->input->post('id',TRUE);
		$data = $this->bar->get_sub_category($category_id)->result();
		echo json_encode($data);
	}        

    public function shop_info()
        {
            $data['tbl_company'] = $this->bar->get_company_info();
            $data['company_name'] = $this->bar->get_companyname();
                $this->load->view('admin/header');
                $this->load->view('admin/agencyinfo',$data);
                $this->load->view('admin/footer');
                
        }

    public function add_agency_info()
           {

                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('name', 'name','required');
                 $this->form_validation->set_rules('tagline', 'tagline','required');
                 $this->form_validation->set_rules('email', 'email','required');
                 $this->form_validation->set_rules('phone', 'phone','required');
                 $this->form_validation->set_rules('location', 'location','required');
                 $this->form_validation->set_rules('address', 'address','required');


        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('Admin/agency_info');
                 
           }
        else
          {
                
                 $this->bar->add_agency_info(); //Inserting tenant record

                 $insertId = $this->db->insert_id(); //Getting last id entered after registertenant

                 $this->session->set_flashdata('message', 'Company Info Added successfully..');

          }     

                 //$insertId1 = $this->input->post('tenantid');
                 redirect(base_url()."index.php/bar/insert_companylogo/".$insertId);
                 //redirect('Receptionist/register');
                 

      } 

    public function insert_companylogo($insertId)
        {
            $data = array( 'id' => $insertId
               ); 
                $data['tbl_company'] = $this->njega->get_companyinfo($insertId);
                $this->load->view('admin/header');
                $this->load->view('admin/companylogo',$data);
                $this->load->view('admin/footer');              
            
        } 

    public function changelogo()
       {

        $image_path = "./companypics/logo";

           $config['upload_path'] = $image_path;
           $config['allowed_types'] = "gif|jpg|png|jpeg|pdf";
           $config['max_size'] = "2048000"; // Can be set to particular file size , here it is 2 MB(2048 Kb)
           $config['max_height'] = "5000";
           $config['max_width'] = "5000";

                     $this->upload->initialize($config);
                     $this->load->library('upload', $config);
                     if($this->upload->do_upload('userfile'))

                {
                    
                    $data = $this->upload->data();
                    $picture = $this->upload->data('file_name');
                    $agencyid = $this->input->post('agencyid');

                    $this->bar->update_logoimage($picture,$agencyid);
                     $this->session->set_flashdata('message', 'Your Logo has been changed successfully');
                     redirect(base_url()."index.php/bar/shop_info");
                }
                  else
                    
                {
                     $this->session->set_flashdata('message1', 'Sorry!..Your Image has a problem!');
                    redirect('bar/shop_info');   
                }
       }

    public function update_logo()
       {

        $image_path = "./companypics/logo";

           $config['upload_path'] = $image_path;
           $config['allowed_types'] = "gif|jpg|png|jpeg|pdf";
           $config['max_size'] = "2048000"; // Can be set to particular file size , here it is 2 MB(2048 Kb)
           $config['max_height'] = "5000";
           $config['max_width'] = "5000";

                     $this->upload->initialize($config);
                     $this->load->library('upload', $config);
                     if($this->upload->do_upload('userfile'))

                {
                    
                    $data = $this->upload->data();
                    $picture = $this->upload->data('file_name');
                    $tenant_id = $this->input->post('photo');

                    $this->njega->update_logo($picture,$tenant_id);

                     redirect(base_url()."index.php/bar/agency_info/");
                }
                  else
                    
                {
                     $this->session->set_flashdata('message1', 'Sorry!..Your Image has a problem!');
                    redirect('admin/agency_info');   
                }
       }

       public function update_agencyinfo()
           {
              $id = $_POST['agencyid'];

                 $this->bar->update_agencyinfo($id);
                 $this->session->set_flashdata('message', 'Info Changed Successfully..');
                 redirect('bar/shop_info');
           } 

        public function postcategory()
     {
 
        $category = $this->input->post('category');
        //initially $i=1; was $i=0;
        for($i=1;$i<sizeof($category);$i++)
          {
            $dataSet[$i] = array('category' => $category[$i]);
           
          }
          

          $this->bar->postcategory($dataSet);
          $this->session->set_flashdata('message', 'Category added successfully..');
          redirect('bar/category');
        }

    public function postsubcategory()
     {
 
        $category = $this->input->post('category');
        $subcategory = $this->input->post('subcategory');
        //initially $i=1; was $i=0;
        for($i=1;$i<sizeof($subcategory);$i++)
          {
            $dataSet[$i] = array('category_id' => $category[$i],'sub_category' => $subcategory[$i]);
           
          }
          

          $this->bar->postsubcategory($dataSet);
          $this->session->set_flashdata('message', 'Subcategory added successfully..');
          redirect('bar/subcategory');
        }    

    public function postproduct()
     {
 
        $date = date('Y-m-d');
        $category = $this->input->post('category');
        $subcategory = $this->input->post('subcategory');
        $product = $this->input->post('product');
        $buyingprice = $this->input->post('buying_price');
        $sellingprice = $this->input->post('selling_price');

        //initially $i=1; was $i=0;
        for($i=1;$i<sizeof($product);$i++)
          {
            $dataSet[$i] = array('category_id' => $category[$i], 'subcategory_id' => $subcategory[$i], 'product' => $product[$i],'b_price' => $buyingprice[$i],'s_price' => $sellingprice[$i],'date'=>$date);
           
          }
          

          $this->bar->postproduct($dataSet);
          $this->session->set_flashdata('message', 'Product(s) added successfully..');
          redirect('bar/product');
        }             
                                        

	public function addcustomer()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/addcustomer');
		$this->load->view('admin/footer');
	}

	public function icons()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/icons');
		$this->load->view('admin/footer');
	}

	public function invoice()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/invoice');
		$this->load->view('admin/footer');
	}

	public function invoiceprint()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/invoice-print');
		$this->load->view('admin/footer');
	}

	public function mailbox()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/mailbox');
		$this->load->view('admin/footer');
	}

	public function modals()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/modals');
		$this->load->view('admin/footer');
	}

	public function profile()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/profile');
		$this->load->view('admin/footer');
	}

	public function readmail()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/read-mail');
		$this->load->view('admin/footer');
	}

	public function sale()
	{

		$data['stock'] = $this->bar->get_products1();
		$this->load->view('admin/header1');
		$this->load->view('admin/widgets',$data);
		$this->load->view('admin/footer');
	}

	public function generateinvoice()
	{

		$data['stock'] = $this->bar->get_products3();
		$this->load->view('admin/header1');
		$this->load->view('admin/generateinvoice',$data);
		$this->load->view('admin/footer');
	}

	public function customercreditorders()
	{

		$data['tbl_debtpayments'] = $this->bar->customercreditorders();
		$data['tbl_debt'] = $this->bar->customercreditorderssubtotal();
		$this->load->view('admin/header');
		$this->load->view('admin/customercreditorders',$data);
		$this->load->view('admin/footer');
	}

	public function error()
	{
		$this->load->view('admin/header');
		$this->load->view('admin/404');
		$this->load->view('admin/footer');
	}

	public function logout() 
		{
        $data = ['id_user', 'username'];
        $this->session->sess_destroy($data);
 
        redirect('/');
        }

    public function insertnewproduct()
           {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('productname', 'productname', 'trim|required');
                 $this->form_validation->set_rules('bprice', 'bprice', 'trim|required|numeric');
				 //$this->form_validation->set_rules('price', 'price', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('bar/newproduct');
                 
               

           }
        else
          {
                 $this->bar->insertnewproduct();
				 $this->session->set_flashdata('message', 'Product has been added successfully..');
                 redirect('bar/newproduct');
                 
          }
    }


    public function insertnewcustomer()
           {

                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('customername', 'customername', 'trim|required');
				 $this->form_validation->set_rules('phonenumber', 'phonenumber', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('bar/addcustomer');
                 
               

           }
        else
          {
                 $this->bar->insertnewcustomer();
				 $this->session->set_flashdata('message', 'Customer has been added successfully..');
                 redirect('bar/addcustomer');
                 
          }
    }

    public function insertnewstock()
           {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('productname', 'productname', 'trim|required|numeric');
				 $this->form_validation->set_rules('price', 'price', 'trim|required|numeric');
				 $this->form_validation->set_rules('shopname', 'shopname', 'trim|required|numeric');
				 $this->form_validation->set_rules('quantity', 'quantity', 'trim|required|numeric');
				 $this->form_validation->set_rules('date', 'date', 'required');

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('bar/newstock');
                 
               

           }
        else
          {
                 $this->bar->insertnewstock();
				 $this->session->set_flashdata('message', 'Stock has been added successfully..');
                 redirect('bar/newstock');
                 
          }
    }

    public function insertnewstocks()
     {
 
        $dispatchid = uniqid();
        $date = date('Y/m/d');
     	$product_id = $this->input->post('product_id');
     	$shopid = $this->input->post('shop');
     	$quantity = $this->input->post('quantity');
     	$type = $this->input->post('type');
     	$area = $this->input->post('area');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'shop_id' => $shopid[$i], 'area_id' => $area, 'quantity' => $quantity[$i], 'canceled' => $type[$i], 'date_added'=>$date);
           
          }

          $this->bar->insertnewstocks($dataSet);
          $this->session->set_flashdata('message', 'Stock Added successfully..');
          redirect('bar/newstock');
     	}
     	
     public function adjustnewstocks()
     {
 
        $dispatchid = uniqid();
        $adjust = 1;
        $date = date('Y/m/d');
     	$product_id = $this->input->post('product_id');
     	$shopid = $this->input->post('shop');
     	$quantity = $this->input->post('quantity');
     	$type = $this->input->post('type');
     	$area = $this->input->post('area');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'shop_id' => $shopid[$i], 'area_id' => $area, 'adjust' => $adjust, 'quantity' => $quantity[$i], 'canceled' => $type[$i], 'date_added'=>$date);
           
          }

          $this->bar->adjustnewstocks($dataSet);
          $this->session->set_flashdata('message', 'Stock Adjusted successfully..');
          redirect('bar/adjuststock');
     	} 	

     public function postsale()
     {

     	$split = $this->input->post('split');
 
        $saleid = uniqid();
        //$date = date('Y-m-d');
        $date = $this->input->post('date');
        $time = $this->input->post('time');
     	$product_id = $this->input->post('product_id');
     	$category_id = $this->input->post('category_id');
     	$bprice = $this->input->post('product_bprice');
     	$sprice = $this->input->post('product_price');
     	//$express = $this->input->post('express');
     	$shopid = $this->input->post('shopid');
     	$quantity = $this->input->post('quantity');
     	$status = $this->input->post('radio1');
     	$mode = $this->input->post('paymentmode');
     	$seller = $this->session->userdata('id');
     	$customer = $this->input->post('text1');
     	$stockout = $this->input->post('stockout');
     	$amountpaid = $this->input->post('amountpaid');
     	$area = $this->input->post('area');
     	$cash = $this->input->post('cash');
     	$mpesa = $this->input->post('mpesa');
     	$card = $this->input->post('card');
     	$split = $this->input->post('split');

        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'category_id' => $category_id[$i], 's_price' => $sprice[$i], 'area_id' => $area, 'shop_id' => $shopid[$i], 'b_price' => $bprice[$i], 'quantity' => $quantity[$i], 'payment_status' => $status, 'seller' => $seller, 'customer_id' => $customer, 'stock_out' => $stockout, 'payment_mode' => $mode[$i], 'split' => $split, 'date'=>$date, 'time'=>$time, 'sale_id'=>$saleid);
           
          }
          

          $this->bar->postsaleadmin($dataSet);
          $this->bar->postamountpaidadmin($saleid,$area,$seller,$status,$amountpaid,$customer);

          if($split == 1){
          $this->bar->postsplitpayment($saleid,$area,$seller,$cash,$mpesa,$card);
          }
          $this->session->set_flashdata('message', 'Sale Posted successfully..');
          //redirect(base_url()."index.php/bartender/issuereceipt/".$saleid);
          
          redirect('bar/seller');
     	}

    public function productcategory()
     {
 
     	//$subcategoryid = $this->input->post('subcategory');
     	$productname = $this->input->post('productname');
     	$colour = $this->input->post('colour');
     	$size = $this->input->post('size');
     	$shop = $this->input->post('shop');
     	$category = $this->input->post('category');
     	$buyingprice = $this->input->post('buyingprice');
     	$sellingprice = $this->input->post('sellingprice');
     	$area = $this->input->post('area');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($productname);$i++)
     	  {
     	  	$dataSet[$i] = array('product' => $productname[$i], 'colour' => $colour[$i], 'size' => $size[$i], 'area_id' => $area, 'shop_id' => $shop[$i], 'category_id' => $category[$i], 'b_price' => $buyingprice[$i], 's_price' => $sellingprice[$i]);
           
          }

          $this->bar->productcategory($dataSet);
          $this->session->set_flashdata('message', 'Products Saved successfully..');
          redirect('bar/product');
     	} 	

    public function postinvoice()
     {
 
        $invoiceid = uniqid();
        $date = $this->input->post('date');
        $clientname = $this->input->post('clientname');
        $clientaddress = $this->input->post('clientaddress');
        $clientemail = $this->input->post('clientemail');
        $paymentterms = $this->input->post('paymentterms');
     	$product_id = $this->input->post('product_id');
     	$price = $this->input->post('price');
     	$quantity = $this->input->post('quantity');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'price' => $price[$i], 'quantity' => $quantity[$i],'date'=>$date, 'clientaddress' => $clientaddress,'clientname'=>$clientname, 'clientemail'=>$clientemail, 'paymentterms'=>$paymentterms,'invoice_id'=>$invoiceid);
           
          }

          $this->bar->postinvoice($dataSet);
          $this->session->set_flashdata('message', 'Invoice Posted successfully..');
          redirect('bar/generateinvoice');
     	} 	

    public function editproduct($id)
		   {   
		       $data = array( 'id' => $id
			   );  
			   
			    $data['tbl_products'] = $this->bar->getproduct($id);
			    $this->load->view('admin/header');
			    $this->load->view('admin/dataedit',$data);
			    $this->load->view('admin/footer');
		   }

    public function creditorder($sale_id)
		   {   
		       $data = array( 'sale_id' => $sale_id
			   );  
			   
			    $data['tbl_sales'] = $this->bar->getorder($sale_id);
			    $data['tbl_customers'] = $this->bar->getcustomers();
			    $this->load->view('admin/header1');
			    $this->load->view('admin/creditorder',$data);
			    $this->load->view('admin/footer');
		   }

    public function recordcreditorder()
           {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('customername', 'customername', 'trim|required|numeric');
				 $this->form_validation->set_rules('saleid', 'saleid', 'required');
				 $this->form_validation->set_rules('ordertotal', 'ordertotal', 'trim|required|numeric');
				 $this->form_validation->set_rules('amountpaid', 'amountpaid', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('bar/salesrecords');
                 
               

           }
        else
          {
                 $this->bar->recordcreditorder();
				 $this->session->set_flashdata('message', 'Records have been saved successfully..');
                 redirect('bar/salesrecords');
                 
          }
    }		   		   

    public function updateproduct()
           {
              $id = $_POST['id'];

                 $this->bar->updateproduct($id);
                 $this->session->set_flashdata('message', 'Product Edited Successfully..');
                 redirect('bar/data');
           }

    public function deleteproduct($id)
           {
                 $this->bar->deleteproduct($id);
                 $this->bar->deleteproductinstock($id);
                 $this->session->set_flashdata('message', 'Product deleted successfuly..');
                 redirect('bar/data');
           }
           
    public function deletestock($id)
           {
                 $this->bar->deletestock($id);
                 $this->session->set_flashdata('message', 'Stock deleted successfuly..');
                 redirect('bar/stockinlist');
           }
           
    public function switchstatus($id)
           {
                 $this->bar->switchstatus($id);
                 $this->session->set_flashdata('message', 'System Access changed successfuly..');
                 redirect('bar/staff');
           }
           
    public function switchstatus1($id)
           {
                 $this->bar->switchstatus1($id);
                 $this->session->set_flashdata('message', 'System Access changed successfuly..');
                 redirect('bar/staff');
           }       
           
    public function deletepetty($id)
           {
                 $this->bar->deletepetty($id);
                 $this->session->set_flashdata('message', 'Record deleted successfuly..');
                 redirect('bar/pettycash');
           }       

    public function completepayment()
           {
                 {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('shopid', 'shopid', 'required');
				 $this->form_validation->set_rules('seller', 'seller', 'required');
				 $this->form_validation->set_rules('saleid', 'saleid', 'required');
				 $this->form_validation->set_rules('date', 'date', 'required');
				 $this->form_validation->set_rules('customerid', 'customerid', 'required');
				 $this->form_validation->set_rules('amountpaid', 'amountpaid', 'required');
				 

           if ($this->form_validation->run() === FALSE)
                 {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('bartender/salesrecords');
                 
                 }
           else
                 {
			 
                 $result = $this->bar->completedebtpayment();
				 $this->session->set_flashdata('message', 'Payment Recorded Successfully..');
                 redirect('bar/salesrecords');
                 
                 }
         
                 }

            }

    public function changepass()
        {
		   $data['oldpass']= "";
		   $data['newpass']= "";
		   $data['confnew'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$old = $_POST['oldpass'];
		    $new = $_POST['newpass'];
			$conf = $_POST['confnew'];
			$user = $this->bar->getuser();
		
			// get old password			
			$db_pass= $user['password'];
			$old = sha1($old);
			
			//compare old password
			if($old!==$db_pass){
				$this->session->set_flashdata('message1','Your password does not match the current password!');
			}else{
				//compare new passwords
				if($new !== $conf){
					$this->session->set_flashdata('message1','New Password & Confirm Password should match!');
				}else{
					// encode new password
					$new_hashed = sha1($new);
					// save to db
					$this->bar->update_password($new_hashed);
					$this->session->set_flashdata('message','Password Change Successful..Use your new password to Log In..');
					redirect('welcome/index');
					
				}
			}
			
			
			
		   }
		     
		    $this->load->view('admin/header');   
            $this->load->view('admin/changepass', $data);
            $this->load->view('admin/footer');				
			
        
		} 
		
		public function dispatchstock()
	{
		$data['stock'] = $this->bar->get_productsinshop();
		$data['shop'] = $this->bar->get_all_shops_dispatchadmin();
		$this->load->view('admin/header1');
		$this->load->view('admin/dispatchstock',$data);
		$this->load->view('admin/footer');
	}
	
	  public function postproductdispatch()
     {
 
        $dispatchid = uniqid();
        $date = date('Y-m-d');
     	$product_id = $this->input->post('product_id');
     	$shopto = $this->input->post('shop');
     	$shopid = $this->input->post('shopid');
     	$quantity = $this->input->post('quantity');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'shopto' => $shopto[$i], 'shop_id' => $shopid[$i], 'quantity' => $quantity[$i], 'date'=>$date,'dispatch_id'=>$dispatchid);
           
          }

          $this->bar->postproductdispatch($dataSet);
          $this->session->set_flashdata('message', 'Products Dispatched successfully..');
          redirect('bar/dispatchstock');
     	}
     	
      public function dispatched_stock()
	{

		$data['tbl_dispatchstock'] = $this->bar->get_dispatchedstockadmin();
		$this->load->view('admin/header1');
		$this->load->view('admin/dispatchedstock',$data);
		$this->load->view('admin/footer');
	} 
	
	  public function recall($id)
           {
                 $this->bar->recall($id);
                 $this->session->set_flashdata('message', 'Stock recalled successfuly..');
                 redirect('bar/dispatched_stock');
           }
           
     public function seller()
	{
	    $area = $this->session->userdata('area_id');
	    
	    $shopid = $this->session->userdata('shop_id');
	    
	    $data['tbl_stock'] = $this->bar->get_stockremaining_myshopseller();
		$sold = $this->bar->get_stocksold_myshop();
		$dispatched = $this->bar->get_stockdispatched_myshop();
		$received = $this->bar->get_stockreceived_myshop();
		$data['tbl_customers'] = $this->bar->get_allcustomers();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}
		
        if($area == 1){
		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header1');
		$this->load->view('admin/widgets',$data);
		$this->load->view('admin/footer');
        }else{
            
        $data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('admin/header1');
		$this->load->view('admin/widgetsarea2',$data);
		$this->load->view('admin/footer');    
        }
		 
	}
	
	public function clearsale($sale_id)
           {
                 $this->bar->clearsale($sale_id);
                 $this->session->set_flashdata('message', 'Sale Cleared successfuly..');
                 redirect('bar/salesrecords');
           }
           
    public function returncredit($sale_id)
		   {
			   $this->bar->get_return($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   
			   $data['tbl_stock'] = $this->bar->get_stockremaining_myshopadmin();
			   $data['tbl_salesreturn'] = $this->bar->get_return($sale_id);
			   $data['tbl_company'] = $this->bar->get_companyinfo();
			    //$this->load->view('admin/header1');
		        $this->load->view('admin/returncredit',$data);
		        //$this->load->view('admin/footer');	
		   }       
           
             


        


}
