<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Bartender extends CI_Controller {

	  function __construct() {
        parent::__construct();
        $this->load->helper('url_helper');
        $this->load->model("bar_model","bar");
        $this->load->library("pagination");
        $this->load->helper('form');
        $this->load->library('form_validation');

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */

	  if($this->session->userdata('role_id') == 1) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('welcome/index');
        }
        
        if($this->session->userdata('role_id') == 3) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('welcome/index');
        }
        
        if($this->session->userdata('role_id') == 4) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('welcome/index');
        }
		
        if(empty($this->session->userdata('id'))) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('');
        }

     }

   public function header2()
	{
		$this->load->view('bartender/header2',$data);
	}

   public function header3()
	{
		$data['tbl_users'] = $this->bar->get_allusers();
		$this->load->view('bartender/header3',$data);
	}
	
	public function index()
	{
	    $area = $this->session->userdata('area_id');
	    
	    $shopid = $this->session->userdata('shop_id');
	    
	    $data['tbl_stock'] = $this->bar->get_stockremaining_myshopseller();
		$sold = $this->bar->get_stocksold_myshop();
		$dispatched = $this->bar->get_stockdispatched_myshop();
		$received = $this->bar->get_stockreceived_myshop();
		$data['tbl_customers'] = $this->bar->get_allcustomers();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}
		
        if($area == 1){
		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('bartender/header3');
		$this->load->view('bartender/widgets',$data);
		$this->load->view('bartender/footer');
        }else{
            
        $data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('bartender/header3');
		$this->load->view('bartender/widgetsarea2',$data);
		$this->load->view('bartender/footer');    
        }
		 
	}

	public function index11()
	{
		$data['categories'] = $this->bar->get_categories();
		$data['subcategories'] = $this->bar->get_subcategories1();
		$data['products'] = $this->bar->get_all_products();
		$this->load->view('bartender/header3');
		$this->load->view('bartender/widgets',$data);
		$this->load->view('bartender/footer');
	}
	
	public function mycommission()
		   {
		   
			    $this->load->view('bartender/header2');
		        $this->load->view('bartender/mycommission');
		        $this->load->view('bartender/footer');	
		   }
	
		public function generate_commission()
	{
	    $id = $this->session->userdata('id');
	    
		   $data['date1']= "";
		   $data['date2']= "";
		   $data['tbl_sales'][0]['price'] = "";
		   $data['tbl_break'][0]['total1'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$date1 = $_POST['date1'];
		    $date2 = $_POST['date2'];
		   
		   $data['date1'] = $date1;
		   $data['date2'] = $date2;
		   
		   $data['tbl_break']= $this->bar->get_atttotal1($id,$date1,$date2);
		   //$data['tbl_breakdown']= $this->bar->get_dailysalea($id,$date1,$date2);
		   $data['tbl_sales'] = $this->bar->get_attsale1($id,$date1,$date2);
		   }
        
		$this->load->view('bartender/header2');
		$this->load->view('bartender/mycommission',$data);
		$this->load->view('bartender/footer');
	 }


	function get_sub_category(){
		$category_id = $this->input->post('id',TRUE);
		$data = $this->bar->get_sub_category($category_id)->result();
		echo json_encode($data);
	}

	function get_my_products(){
		$subcategory_id = $this->input->post('id',TRUE);
		$data = $this->bar->get_my_products($subcategory_id)->result();
		echo json_encode($data);
	}

	public function dispatchstock()
	{
		$data['stock'] = $this->bar->get_productsinshop();
		$data['shop'] = $this->bar->get_all_shops_dispatch();
		$this->load->view('bartender/header3');
		$this->load->view('bartender/dispatchstock',$data);
		$this->load->view('bartender/footer');
	}

	public function newstock()
	{

		$data['stock'] = $this->bar->get_products();
		$data['shops'] = $this->bar->get_shops();
		$this->load->view('bartender/header3');
		$this->load->view('bartender/newstock',$data);
		$this->load->view('bartender/footer');
	}
	
	public function expenses()
        {
        	
                $this->load->view('bartender/header2');
                $this->load->view('bartender/expenses',$data);
                $this->load->view('bartender/footer');
                
        }
        
    public function expenseslist()
        {
        	$data['tbl_expenses'] = $this->bar->get_allexpenses();
        	$data['tbl_expensestotal'] = $this->bar->get_allexpensestotal();
                $this->load->view('bartender/header2');
                $this->load->view('bartender/expenseslist',$data);
                $this->load->view('bartender/footer');
                
        }
        
    public function delete_expense($id)
           {
                 $this->bar->delete_expense($id);
                 $this->session->set_flashdata('message', 'Expense deleted successfuly..');
                 redirect('bartender/expenseslist');
           }    
        
    public function save_expense()
     {
        $shop = $this->session->userdata('shop_id');
     	$expense = $this->input->post('expense');
     	$amount = $this->input->post('amount');
     	$date = $this->input->post('date');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($expense);$i++)
     	  {
     	  	$dataSet[$i] = array('shop_id' => $shop, 'expense' => $expense[$i], 'amount' => $amount[$i], 'date' => $date[$i]);
           
          }

          $this->bar->save_expense($dataSet);
          $this->session->set_flashdata('message', 'Expense(s) Saved successfully..');
          redirect('bartender/expenses');
     	}    


	public function data()
	{

		$data['tbl_products'] = $this->bar->get_products2();
		$this->load->view('bartender/header2');
		$this->load->view('bartender/data',$data);
		$this->load->view('bartender/footer');
	}
	
	public function salesentered()
	{

		$data['tbl_sales'] = $this->bar->get_salesentered();
		$data['tbl_salestotal'] = $this->bar->get_salesenteredtotal();
		$data['tbl_debtpaymentstotal'] = $this->bar->get_debtpaymentstotal();
		$data['expenses'] = $this->bar->get_expensestotal();
		
		$data['cashsplit']= $this->bar->cashsplitseller();
	    $data['tbl_totalprofitcash']= $this->bar->profitsubtotalacashseller();
	    $data['mpesasplit']= $this->bar->mpesasplitseller();
	    $data['tbl_totalprofitmpesa']= $this->bar->profitsubtotalampesaseller();
	    $data['cardsplit']= $this->bar->cardsplitseller();
	    $data['tbl_totalprofitcard']= $this->bar->profitsubtotalacardseller();
	    $data['value4'] = $this->bar->get_allsplit();
		$this->load->view('bartender/header2');
		$this->load->view('bartender/salesentered',$data);
		$this->load->view('bartender/footer');
	}
	
	public function edit_salesentered($id)
		   {   
		       $data = array( 'id' => $id
			   );  
			   
			    $data['tbl_sales'] = $this->bar->get_salesentered1($id);
			    $this->load->view('bartender/header2');
			    $this->load->view('bartender/salesedit',$data);
			    $this->load->view('bartender/footer');
		   }
		   
    public function updatesaleedit()
           {
              $id = $_POST['id'];

                 $this->bar->updatesaleedit($id);
                 $this->session->set_flashdata('message', 'Sale Edited Successfully..');
                 redirect('bartender/salesentered');
           }		   

	public function salesrecords()
	{

		$data['tbl_sales'] = $this->bar->get_salesrecords();
		$this->load->view('bartender/header2');
		$this->load->view('bartender/salesrecords',$data);
		$this->load->view('bartender/footer');
	}
	
		public function shopa()
	{

		$data['tbl_stock'] = $this->bar->get_stockremaining1();
		$sold = $this->bar->get_stocksold1();
		$dispatched = $this->bar->get_stockdispatched1();
		$received = $this->bar->get_stockreceived1();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('bartender/header2');
		$this->load->view('bartender/stockbyshopa',$data);
		$this->load->view('bartender/footer');
	}

	public function shopb()
	{

		$data['tbl_stock'] = $this->bar->get_stockremaining2();
		$sold = $this->bar->get_stocksold2();
		$dispatched = $this->bar->get_stockdispatched2();
		$received = $this->bar->get_stockreceived2();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('bartender/header2');
		$this->load->view('bartender/stockbyshopb',$data);
		$this->load->view('bartender/footer');
	}
	
	public function myshopstock()
	{

		$data['tbl_stock'] = $this->bar->get_stockremaining_myshop();
		$sold = $this->bar->get_stocksold_myshop();
		$dispatched = $this->bar->get_stockdispatched_myshop();
		$received = $this->bar->get_stockreceived_myshop();

		$qtysold =[];
		foreach ($sold as $value) {

			$oldvalue = 0;
			if (isset($qtysold[$value['product_id']])) {
				$oldvalue = $qtysold[$value['product_id']];
			}
			$qtysold[$value['product_id']] = $oldvalue + $value['quantitysold'];	
		}

		$qtydispatched =[];
		foreach ($dispatched as $value) {

			$oldvalue = 0;
			if (isset($qtydispatched[$value['product_id']])) {
				$oldvalue = $qtydispatched[$value['product_id']];
			}
			$qtydispatched[$value['product_id']] = $oldvalue + $value['quantitydispatched'];	
		}

		$qtyreceived =[];
		foreach ($received as $value) {

			$oldvalue = 0;
			if (isset($qtyreceived[$value['product_id']])) {
				$oldvalue = $qtyreceived[$value['product_id']];
			}
			$qtyreceived[$value['product_id']] = $oldvalue + $value['quantityreceived'];	
		}

		$data['qtysold'] = $qtysold;
		$data['qtydispatched'] = $qtydispatched;
		$data['qtyreceived'] = $qtyreceived;
		$this->load->view('bartender/header2');
		$this->load->view('bartender/stockbyshopa',$data);
		$this->load->view('bartender/footer');
	}
	
	public function delete_creditsale($sale_id)
           {
                 $this->bar->delete_creditsale($sale_id);
                 $this->session->set_flashdata('message', 'Creditsale Deleted successfuly..');
                 redirect('bartender/salesrecords');
           }
           
    public function delete_salesentered($id)
           {
                 $this->bar->delete_salesentered($id);
                 $this->session->set_flashdata('message', 'Sale Deleted successfuly..');
                 redirect('bartender/salesentered');
           }       
           
    public function delete_creditsale1($sale_id)
           {
                 $this->bar->delete_creditsale1($sale_id);
                 $this->bar->update_salestatus($sale_id);
                 $this->session->set_flashdata('message', 'Deposit Deleted successfuly..');
                 redirect('bartender/customercreditorders');
           }           


	public function newproduct()
	{
		$this->load->view('bartender/header2');
		$this->load->view('bartender/newproduct');
		$this->load->view('bartender/footer');
	}

	public function addcustomer()
	{
		$this->load->view('bartender/header2');
		$this->load->view('bartender/addcustomer');
		$this->load->view('bartender/footer');
	}

	public function customercreditorders()
	{

		$data['tbl_debtpayments'] = $this->bar->customercreditorders();
		$data['tbl_debt'] = $this->bar->customercreditorderssubtotal();
		$this->load->view('bartender/header2');
		$this->load->view('bartender/customercreditorders',$data);
		$this->load->view('bartender/footer');
	}

	public function logout() 
		{
        $data = ['id_user', 'username'];
        $this->session->sess_destroy($data);
 
        redirect('/');
        }


    public function postsale()
     {

     	$split = $this->input->post('split');
 
        $saleid = uniqid();
        $date = date('Y-m-d');
        $time = $this->input->post('time');
        //$date = $this->input->post('date');
     	$product_id = $this->input->post('product_id');
     	$category_id = $this->input->post('category_id');
     	$bprice = $this->input->post('product_bprice');
     	$sprice = $this->input->post('product_price');
     	//$express = $this->input->post('express');
     	$shopid = $this->input->post('shopid');
     	$quantity = $this->input->post('quantity');
     	$status = $this->input->post('radio1');
     	$mode = $this->input->post('paymentmode');
     	$seller = $this->session->userdata('id');
     	$customer = $this->input->post('text1');
     	$stockout = $this->input->post('stockout');
     	$amountpaid = $this->input->post('amountpaid');
     	$area = $this->input->post('area');
     	$cash = $this->input->post('cash');
     	$mpesa = $this->input->post('mpesa');
     	$card = $this->input->post('card');
     	$split = $this->input->post('split');

        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'category_id' => $category_id[$i], 's_price' => $sprice[$i], 'area_id' => $area, 'shop_id' => $shopid[$i], 'b_price' => $bprice[$i], 'quantity' => $quantity[$i], 'payment_status' => $status, 'seller' => $seller, 'customer_id' => $customer, 'stock_out' => $stockout, 'payment_mode' => $mode[$i], 'split' => $split, 'date'=>$date, 'time'=>$time,'sale_id'=>$saleid);
           
          }
          

          $this->bar->postsale($dataSet);
          $this->bar->postamountpaid($saleid,$area,$seller,$status,$amountpaid,$customer);

          if($split == 1){
          $this->bar->postsplitpayment($saleid,$area,$seller,$cash,$mpesa,$card);
          }
          $this->session->set_flashdata('message', 'Sale Posted successfully..');
          //redirect(base_url()."index.php/bartender/issuereceipt/".$saleid);
          
          redirect('bartender/index');
     	}
     	
    public function postsale1()
     {
 
        $saleid = uniqid();
        $date = date('Y-m-d');
     	$product_id = $this->input->post('product_id');
     	$category_id = $this->input->post('category_id');
     	$bprice = $this->input->post('product_bprice');
     	$sprice = $this->input->post('product_price');
     	$shopid = $this->input->post('shopid');
     	$quantity = $this->input->post('quantity');
     	$status = $this->input->post('payment_status');
     	$mode = $this->input->post('paymentmode');
     	$seller = $this->session->userdata('id');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'category_id' => $category_id[$i], 's_price' => $sprice[$i], 'shop_id' => $shopid[$i], 'b_price' => $bprice[$i], 'quantity' => $quantity[$i], 'payment_status' => $status, 'payment_mode' => $mode[$i], 'seller' => $seller, 'date'=>$date,'sale_id'=>$saleid);
           
          }
          

          $this->bar->postsale($dataSet);
          $this->session->set_flashdata('message', 'Sale Posted successfully..');
          redirect('bartender/index');
     	} 	

    public function postproductdispatch()
     {
 
        $dispatchid = uniqid();
        $date = date('Y-m-d');
     	$product_id = $this->input->post('product_id');
     	$shopto = $this->input->post('shop');
     	$shopid = $this->input->post('shopid');
     	$quantity = $this->input->post('quantity');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'shopto' => $shopto[$i], 'shop_id' => $shopid[$i], 'quantity' => $quantity[$i], 'date'=>$date,'dispatch_id'=>$dispatchid);
           
          }

          $this->bar->postproductdispatch($dataSet);
          $this->session->set_flashdata('message', 'Products Dispatched successfully..');
          redirect('bartender/dispatchstock');
     	} 	 

    public function issuereceipt($sale_id)
		   {
		       
			   $this->bar->get_issuereceipt1($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   $data['tbl_sales'] = $this->bar->get_issuereceipt1($sale_id);
			   $data['tbl_receipttotal'] = $this->bar->get_receipttotal($sale_id);
			   $data['tbl_company'] = $this->bar->get_companyinfo();
			    //$this->load->view('bartender/header2');
		        $this->load->view('bartender/issuereceipt',$data);
		        //$this->load->view('bartender/footer');	
		   }

    public function printreceipt($sale_id)
		   {
			   $this->bar->get_printreceipt($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   $data['tbl_sales'] = $this->bar->get_printreceipt($sale_id);
			   $data['tbl_receipttotal'] = $this->bar->get_receipttotal($sale_id);
			    $this->load->view('bartender/header2');
		        $this->load->view('bartender/invoice-print',$data);	
		   }

    public function creditorder($sale_id)
		   {   
		       $data = array( 'sale_id' => $sale_id
			   );  
			   
			    $data['tbl_sales'] = $this->bar->getorder($sale_id);
			    $data['tbl_customers'] = $this->bar->getcustomers();
			    $this->load->view('bartender/header3');
			    $this->load->view('bartender/creditorder',$data);
			    $this->load->view('bartender/footer');
		   }

    public function recordcreditorder()
            {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('customername', 'customername', 'trim|required|numeric');
				 $this->form_validation->set_rules('saleid', 'saleid', 'required');
				 $this->form_validation->set_rules('shopid', 'shopid', 'required');
				 $this->form_validation->set_rules('ordertotal', 'ordertotal', 'trim|required|numeric');
				 $this->form_validation->set_rules('amountpaid', 'amountpaid', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
                 {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('bartender/salesrecords');
                 
               

                 }
        else
                 {
                 $this->bar->recordcreditorder();
				 $this->session->set_flashdata('message', 'Records have been saved successfully..');
                 redirect('bartender/salesrecords');
                 
                 }
            }		   		   

	public function completepayment()
           {
                 {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('shopid', 'shopid', 'required');
				 $this->form_validation->set_rules('seller', 'seller', 'required');
				 $this->form_validation->set_rules('saleid', 'saleid', 'required');
				 $this->form_validation->set_rules('date', 'date', 'required');
				 $this->form_validation->set_rules('customerid', 'customerid', 'required');
				 $this->form_validation->set_rules('amountpaid', 'amountpaid', 'required');
				 

           if ($this->form_validation->run() === FALSE)
                 {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('bartender/salesrecords');
                 
                 }
           else
                 {
			 
                 $result = $this->bar->completedebtpayment();
				 $this->session->set_flashdata('message', 'Payment Recorded Successfully..');
                 redirect('bartender/salesrecords');
                 
                 }
         
                 }

            } 

    public function insertnewproduct()
            {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('productname', 'productname', 'trim|required');
                 $this->form_validation->set_rules('bprice', 'bprice', 'trim|required|numeric');
				 //$this->form_validation->set_rules('price', 'price', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
                  {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('bartender/newproduct');
                 
               

                  }
        else
                  {
                 $this->bar->insertnewproduct();
				 $this->session->set_flashdata('message', 'Product has been added successfully..');
                 redirect('bartender/newproduct');
                 
                  }
            }

    public function insertnewstock()
            {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('productname', 'productname', 'trim|required|numeric');
                 $this->form_validation->set_rules('shopname', 'shopname', 'trim|required|numeric');
				 $this->form_validation->set_rules('price', 'price', 'trim|required|numeric');
				 $this->form_validation->set_rules('quantity', 'quantity', 'trim|required|numeric');
				 $this->form_validation->set_rules('date', 'date', 'required');

        if ($this->form_validation->run() === FALSE)
                  {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('bartender/newstock');
                 
               

                  }
        else
                  {
                 $this->bar->insertnewstock();
				 $this->session->set_flashdata('message', 'Stock has been added successfully..');
                 redirect('bartender/newstock');
                 
                  }
            }

    public function insertnewstocks_seller()
     {
 
        $dispatchid = uniqid();
        $date = date('Y/m/d');
     	$product_id = $this->input->post('product_id');
     	$shopid = $this->input->post('shopid');
     	$quantity = $this->input->post('quantity');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'shop_id' => $shopid[$i], 'quantity' => $quantity[$i], 'date_added'=>$date);
           
          }

          $this->bar->insertnewstocks_seller($dataSet);
          $this->session->set_flashdata('message', 'Stock Added successfully..');
          redirect('bartender/newstock');
     	}         

    public function insertnewcustomer()
            {

                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('customername', 'customername', 'trim|required');
				 $this->form_validation->set_rules('phonenumber', 'phonenumber', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
                  {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('bartender/addcustomer');
                 
               

                  }
        else
                  {
                 $this->bar->insertnewcustomer();
				 $this->session->set_flashdata('message', 'Customer has been added successfully..');
                 redirect('bartender/addcustomer');
                 
                  }
            }

    public function changepass()
            {
		   $data['oldpass']= "";
		   $data['newpass']= "";
		   $data['confnew'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$old = $_POST['oldpass'];
		    $new = $_POST['newpass'];
			$conf = $_POST['confnew'];
			$user = $this->bar->getuser();
		
			// get old password			
			$db_pass= $user['password'];
			$old = sha1($old);
			
			//compare old password
			if($old!==$db_pass){
				$this->session->set_flashdata('message1','Your password does not match the current password!');
			}else{
				//compare new passwords
				if($new !== $conf){
					$this->session->set_flashdata('message1','New Password & Confirm Password should match!');
				}else{
					// encode new password
					$new_hashed = sha1($new);
					// save to db
					$this->bar->update_password($new_hashed);
					$this->session->set_flashdata('message','Password Change Successful..Use your new password to Log In..');
					redirect('welcome/index');
					
				}
			}
			
			
			
		   }
		     
		    $this->load->view('bartender/header2');   
            $this->load->view('bartender/changepass', $data);
            $this->load->view('bartender/footer');				
			
        
		}

		public function receivestock()
	{

		$data['tbl_dispatchstock'] = $this->bar->get_stockreceived();
		$this->load->view('bartender/header2');
		$this->load->view('bartender/receivestock',$data);
		$this->load->view('bartender/footer');
	} 
	
	public function dispatched_stock()
	{

		$data['tbl_dispatchstock'] = $this->bar->get_dispatchedstock();
		$this->load->view('bartender/header2');
		$this->load->view('bartender/dispatchedstock',$data);
		$this->load->view('bartender/footer');
	} 

	public function receiveproduct($id)
           {
               $type = 0;
               
                 $this->bar->receiveproduct($id,$type);
                 $this->session->set_flashdata('message', 'Product received successfuly..');
                 redirect('bartender/receivestock');
           }
           
    public function recall($id)
           {
                 $this->bar->recall($id);
                 $this->session->set_flashdata('message', 'Stock recalled successfuly..');
                 redirect('bartender/dispatched_stock');
           } 

     public function clearsale($sale_id)
           {
                 $this->bar->clearsale($sale_id);
                 $this->session->set_flashdata('message', 'Sale Cleared successfuly..');
                 redirect('bartender/salesrecords');
           }               
                                 	   		    	              		   


        


}
