<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Store extends CI_Controller {

	  function __construct() {
        parent::__construct();
        $this->load->helper('url_helper');
        $this->load->model("bar_model","bar");
        $this->load->library("pagination");
        $this->load->helper('form');
        $this->load->library('form_validation');

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */

	  if($this->session->userdata('role_id') == 1) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('welcome/index');
        }
		
        if(empty($this->session->userdata('id'))) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('');
        }

     }

   public function header2()
	{
		$this->load->view('store/header2',$data);
	}

   public function header3()
	{
		$data['tbl_users'] = $this->bar->get_allusers();
		$this->load->view('store/header3',$data);
	}	  

	public function index1()
	{
		$data['stock'] = $this->bar->get_products1();
		$this->load->view('store/header3');
		$this->load->view('store/widgets',$data);
		$this->load->view('store/footer');
	}

	public function index()
	{
		$data['stock'] = $this->bar->get_productsinshop();
		$data['shop'] = $this->bar->get_all_shops_dispatch();
		$this->load->view('store/header3');
		$this->load->view('store/dispatchstock',$data);
		$this->load->view('store/footer');
	}

	public function newstock()
	{

		$data['stock'] = $this->bar->get_products();
		$data['shops'] = $this->bar->get_shops();
		$this->load->view('store/header3');
		$this->load->view('store/newstock',$data);
		$this->load->view('store/footer');
	}


	public function data()
	{

		$data['tbl_products'] = $this->bar->get_products2();
		$this->load->view('store/header2');
		$this->load->view('store/data',$data);
		$this->load->view('store/footer');
	}
	
	public function salesentered()
	{

		$data['tbl_sales'] = $this->bar->get_salesentered();
		$this->load->view('store/header2');
		$this->load->view('store/salesentered',$data);
		$this->load->view('store/footer');
	}

	public function salesrecords()
	{

		$data['tbl_sales'] = $this->bar->get_salesrecords();
		$this->load->view('store/header2');
		$this->load->view('store/salesrecords',$data);
		$this->load->view('store/footer');
	}
	
	public function delete_creditsale($sale_id)
           {
                 $this->bar->delete_creditsale($sale_id);
                 $this->session->set_flashdata('message', 'Sale Deleted successfuly..');
                 redirect('store/salesrecords');
           }
           
    public function delete_salesentered($id)
           {
                 $this->bar->delete_salesentered($id);
                 $this->session->set_flashdata('message', 'Sale Deleted successfuly..');
                 redirect('store/salesentered');
           }       
           
    public function delete_creditsale1($sale_id)
           {
                 $this->bar->delete_creditsale1($sale_id);
                 $this->session->set_flashdata('message', 'Deposit Deleted successfuly..');
                 redirect('store/customercreditorders');
           }           


	public function newproduct()
	{
		$this->load->view('store/header2');
		$this->load->view('store/newproduct');
		$this->load->view('store/footer');
	}

	public function addcustomer()
	{
		$this->load->view('store/header2');
		$this->load->view('store/addcustomer');
		$this->load->view('store/footer');
	}

	public function customercreditorders()
	{

		$data['tbl_debtpayments'] = $this->bar->customercreditorders();
		$data['tbl_debt'] = $this->bar->customercreditorderssubtotal();
		$this->load->view('store/header2');
		$this->load->view('store/customercreditorders',$data);
		$this->load->view('store/footer');
	}

	public function logout() 
		{
        $data = ['id_user', 'username'];
        $this->session->sess_destroy($data);
 
        redirect('/');
        }


    public function postsale()
     {
 
        $saleid = uniqid();
        $date = date('Y-m-d');
     	$product_id = $this->input->post('product_id');
     	$price = $this->input->post('price');
     	$shopid = $this->input->post('shopid');
     	$price_each = $this->input->post('price_each');
     	$quantity = $this->input->post('quantity');
     	$status = $this->input->post('payment_status');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'price' => $price[$i], 'shop_id' => $shopid[$i], 'b_price' => $price_each[$i], 'quantity' => $quantity[$i], 'payment_status' => $status,'date'=>$date,'sale_id'=>$saleid);
           
          }
          

          $this->bar->postsale($dataSet);
          $this->session->set_flashdata('message', 'Sale Posted successfully..');
          redirect('store/index');
     	}

    public function postproductdispatch()
     {
 
        $dispatchid = uniqid();
        $date = date('Y-m-d');
     	$product_id = $this->input->post('product_id');
     	$shopto = $this->input->post('shop');
     	$shopid = $this->input->post('shopid');
     	$quantity = $this->input->post('quantity');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'shopto' => $shopto[$i], 'shop_id' => $shopid[$i], 'quantity' => $quantity[$i], 'date'=>$date,'dispatch_id'=>$dispatchid);
           
          }

          $this->bar->postproductdispatch($dataSet);
          $this->session->set_flashdata('message', 'Products Dispatched successfully..');
          redirect('store/index');
     	} 	 

    public function issuereceipt($sale_id)
		   {
			   $this->bar->get_issuereceipt1($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   $data['tbl_sales'] = $this->bar->get_issuereceipt1($sale_id);
			   $data['tbl_receipttotal'] = $this->bar->get_receipttotal($sale_id);
			    $this->load->view('store/header2');
		        $this->load->view('store/issuereceipt',$data);
		        $this->load->view('store/footer');	
		   }

    public function printreceipt($sale_id)
		   {
			   $this->bar->get_printreceipt($sale_id);
		   
		       $data = array( 'sale_id' => $sale_id
			   ); 
			   $data['tbl_sales'] = $this->bar->get_printreceipt($sale_id);
			   $data['tbl_receipttotal'] = $this->bar->get_receipttotal($sale_id);
			    $this->load->view('store/header2');
		        $this->load->view('store/invoice-print',$data);	
		   }

    public function creditorder($sale_id)
		   {   
		       $data = array( 'sale_id' => $sale_id
			   );  
			   
			    $data['tbl_sales'] = $this->bar->getorder($sale_id);
			    $data['tbl_customers'] = $this->bar->getcustomers();
			    $this->load->view('store/header3');
			    $this->load->view('store/creditorder',$data);
			    $this->load->view('store/footer');
		   }

    public function recordcreditorder()
            {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('customername', 'customername', 'trim|required|numeric');
				 $this->form_validation->set_rules('saleid', 'saleid', 'required');
				 $this->form_validation->set_rules('shopid', 'shopid', 'required');
				 $this->form_validation->set_rules('ordertotal', 'ordertotal', 'trim|required|numeric');
				 $this->form_validation->set_rules('amountpaid', 'amountpaid', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
                 {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('store/salesrecords');
                 
               

                 }
        else
                 {
                 $this->bar->recordcreditorder();
				 $this->session->set_flashdata('message', 'Records have been saved successfully..');
                 redirect('store/salesrecords');
                 
                 }
            }		   		   

	public function completepayment()
           {
                 {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

				 $this->form_validation->set_rules('receiptid', 'receiptid', 'required');
				 $this->form_validation->set_rules('amountpaid', 'amountpaid', 'required');
				 $this->form_validation->set_rules('change', 'change', 'required');
				 

           if ($this->form_validation->run() === FALSE)
                 {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('store/salesrecords');
                 
                 }
           else
                 {
			 
                 $result = $this->bar->completepayment();
				 $this->session->set_flashdata('message', 'Sale Recorded Successfully..');
                 redirect('store/salesrecords');
                 
                 }
         
                 }

            } 

    public function insertnewproduct()
            {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('productname', 'productname', 'trim|required');
                 $this->form_validation->set_rules('bprice', 'bprice', 'trim|required|numeric');
				 //$this->form_validation->set_rules('price', 'price', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
                  {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('store/newproduct');
                 
               

                  }
        else
                  {
                 $this->bar->insertnewproduct();
				 $this->session->set_flashdata('message', 'Product has been added successfully..');
                 redirect('store/newproduct');
                 
                  }
            }

    public function insertnewstock()
            {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('productname', 'productname', 'trim|required|numeric');
                 $this->form_validation->set_rules('shopname', 'shopname', 'trim|required|numeric');
				 $this->form_validation->set_rules('price', 'price', 'trim|required|numeric');
				 $this->form_validation->set_rules('quantity', 'quantity', 'trim|required|numeric');
				 $this->form_validation->set_rules('date', 'date', 'required');

        if ($this->form_validation->run() === FALSE)
                  {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('store/newstock');
                 
               

                  }
        else
                  {
                 $this->bar->insertnewstock();
				 $this->session->set_flashdata('message', 'Stock has been added successfully..');
                 redirect('store/newstock');
                 
                  }
            }

    public function insertnewstocks_seller()
     {
 
        $dispatchid = uniqid();
        $date = date('Y/m/d');
     	$product_id = $this->input->post('product_id');
     	$shopid = $this->input->post('shopid');
     	$quantity = $this->input->post('quantity');
        //initially $i=1; was $i=0;
     	for($i=1;$i<sizeof($product_id);$i++)
     	  {
     	  	$dataSet[$i] = array('product_id' => $product_id[$i], 'shop_id' => $shopid[$i], 'quantity' => $quantity[$i], 'date_added'=>$date);
           
          }

          $this->bar->insertnewstocks_seller($dataSet);
          $this->session->set_flashdata('message', 'Stock Added successfully..');
          redirect('store/newstock');
     	}         

    public function insertnewcustomer()
            {

                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('customername', 'customername', 'trim|required');
				 $this->form_validation->set_rules('phonenumber', 'phonenumber', 'trim|required|numeric');

        if ($this->form_validation->run() === FALSE)
                  {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again with correct values!');
                 redirect('store/addcustomer');
                 
               

                  }
        else
                  {
                 $this->bar->insertnewcustomer();
				 $this->session->set_flashdata('message', 'Customer has been added successfully..');
                 redirect('store/addcustomer');
                 
                  }
            }

    public function changepass()
            {
		   $data['oldpass']= "";
		   $data['newpass']= "";
		   $data['confnew'] = "";
		
		   if($_SERVER['REQUEST_METHOD']=='POST'){
			$old = $_POST['oldpass'];
		    $new = $_POST['newpass'];
			$conf = $_POST['confnew'];
			$user = $this->bar->getuser();
		
			// get old password			
			$db_pass= $user['password'];
			$old = sha1($old);
			
			//compare old password
			if($old!==$db_pass){
				$this->session->set_flashdata('message1','Your password does not match the current password!');
			}else{
				//compare new passwords
				if($new !== $conf){
					$this->session->set_flashdata('message1','New Password & Confirm Password should match!');
				}else{
					// encode new password
					$new_hashed = sha1($new);
					// save to db
					$this->bar->update_password($new_hashed);
					$this->session->set_flashdata('message','Password Change Successful..Use your new password to Log In..');
					redirect('welcome/index');
					
				}
			}
			
			
			
		   }
		     
		    $this->load->view('store/header2');   
            $this->load->view('store/changepass', $data);
            $this->load->view('store/footer');				
			
        
		}

		public function receivestock()
	{

		$data['tbl_dispatchstock'] = $this->bar->get_stockreceived();
		$this->load->view('store/header2');
		$this->load->view('store/receivestock',$data);
		$this->load->view('store/footer');
	} 
	
	public function dispatched_stock()
	{

		$data['tbl_dispatchstock'] = $this->bar->get_dispatchedstock();
		$this->load->view('store/header2');
		$this->load->view('store/dispatchedstock',$data);
		$this->load->view('store/footer');
	} 

	public function receiveproduct($id)
           {
                 $this->bar->receiveproduct($id);
                 $this->session->set_flashdata('message', 'Product received successfuly..');
                 redirect('store/receivestock');
           }
           
    public function recall($id)
           {
                 $this->bar->recall($id);
                 $this->session->set_flashdata('message', 'Stock recalled successfuly..');
                 redirect('store/dispatched_stock');
           }       
                                 	   		    	              		   


        


}
