<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Bar | Invoice</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="../../bower_components/bootstrap/dist/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../../bower_components/font-awesome/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="../../bower_components/Ionicons/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../../dist/css/AdminLTE.min.css">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body onload="window.print();">
<div class="wrapper">
  <!-- Main content -->
  <section class="invoice">
      <!-- title row -->
      <div class="row">
        <div class="col-xs-12">
          <h2 class="page-header">
            <i class="fa fa-globe"></i> BLACK QUARTER LIQUOR STORE.
            <?php foreach ($tbl_invoice as $detail){ ?> <?php } ?>
            <small class="pull-right">Date: <?php  echo $detail['date']; ?></small>
          </h2>
        </div>
        <!-- /.col -->
      </div>
      <!-- info row -->
      <div class="row invoice-info">
        <div class="col-sm-4 invoice-col">
          From
          <address>
            <strong>BLACK QUARTER LIQUOR STORE.</strong><br>
            P.O Box 7623-00100<br>
            Town: NAIROBI<br>
            Tel: 0723267835<br>
            Email: info@blackquarterliquor.com
          </address>
        </div>
        <!-- /.col -->
        <div class="col-sm-4 invoice-col">
          To
          <address>
            <?php foreach ($tbl_invoice as $detail){ ?> <?php } ?>
            <strong><?php  echo $detail['clientname']; ?></strong><br>
            <?php  echo $detail['clientaddress']; ?><br>
            Email: <?php  echo $detail['clientemail']; ?>
          </address>
        </div>
        <!-- /.col -->
        <div class="col-sm-4 invoice-col">
          <?php foreach ($tbl_invoice as $detail){ ?> <?php } ?>
          <b>Invoice #<?php  echo $detail['invoice_id']; ?></b><br>
          <br>
          <!--<b>Order ID:</b> 4F3S8J<br>-->
          <!--<b>Payment Due:</b> 2/22/2014<br>-->
          <b>Account:</b> 968-34567
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->

      <!-- Table row -->
      <div class="row">
        <div class="col-xs-12 table-responsive">
          <table class="table table-striped">
            <thead>
            <tr>
              <th>Qty</th>
              <th>Product</th>
              <th>Serial #</th>
              <th>Subtotal</th>
            </tr>
            </thead>
            <tbody>
          <?php foreach ($tbl_invoice as $detail){ ?>
            <tr>
              <td><?php  echo $detail['quantity']; ?></td>
              <td><?php  echo $detail['p_product']; ?></td>
              <td><?php  echo "00".$detail['p_id']; ?></td>
              <td><?php  echo $detail['price'] * $detail['quantity']; ?></td>
            </tr>
          <?php } ?>  
            </tbody>
          </table>
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->

      <div class="row">
        <!-- accepted payments column -->
        <div class="col-xs-6">
          <p class="lead">Payment Methods:</p>
          <img src="<?php echo base_url();?>assets/dist/img/credit/visa.png" alt="Visa">
          <img src="<?php echo base_url();?>assets/dist/img/credit/mastercard.png" alt="Mastercard">
          <img src="<?php echo base_url();?>assets/dist/img/credit/american-express.png" alt="American Express">
          <img src="<?php echo base_url();?>assets/dist/img/credit/paypal2.png" alt="Paypal">
          
          <?php foreach ($tbl_invoice as $detail){ ?> <?php } ?> 
          <p class="text-muted well well-sm no-shadow" style="margin-top: 10px;">
            <?php  echo $detail['paymentterms']; ?>
          </p>
        </div>
        <!-- /.col -->
        <div class="col-xs-6">
          <p class="lead">Amount Due 7/22/2019</p>

          <div class="table-responsive">
            <table class="table">
              <tr>
                <th style="width:50%">Subtotal:</th>
                <td>--</td>
              </tr>
              <tr>
                <th>Tax (16%)</th>
                <td>--</td>
              </tr>
              <tr>
                <th>Shipping:</th>
                <td>--</td>
              </tr>
              <tr>
                <th>Total:</th>
                <td>--</td>
              </tr>
            </table>
          </div>
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->

      <!-- this row will not appear when printing -->
      <div class="row no-print">
        <div class="col-xs-12">
          <?php foreach ($tbl_invoice as $detail){ ?> <?php } ?>
          <a href="<?php echo site_url()."/bar/printinvoice/".$detail['invoice_id'] ?>" target="_blank" class="btn btn-default"><i class="fa fa-print"></i> Print</a>
          <button type="button" class="btn btn-success pull-right"><i class="fa fa-credit-card"></i> Submit Payment
          </button>
          <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">
            <i class="fa fa-download"></i> Generate PDF
          </button>
        </div>
      </div>
    </section>
  <!-- /.content -->
</div>
<!-- ./wrapper -->
</body>
</html>
